Name:           python-oc-meta
Version:        2.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        OpenCitations Meta contains bibliographic metadata associated with the documents involved in the citations stored in the OpenCitations infrastructure. The OpenCitations Meta Software performs two main actions: a data curation of the provided CSV files and the generation of new RDF files compliant with the OpenCitations Data Model.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ISC
URL:            https://pypi.org/project/oc_meta/
Source:         %{pypi_source oc_meta}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'oc-meta' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-oc-meta
Summary:        %{summary}

%description -n python3-oc-meta %_description


%prep
%autosetup -p1 -n oc_meta-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-oc-meta -f %{pyproject_files}


%changelog
%autochangelog